Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface PopupPanel.PositionCallback

Enclosing class:
  PopupPanel

    public static interface PopupPanel.PositionCallback

A callback that is used to set the position of a `PopupPanel` right before it is shown.

Method Summary
`void` | `setPosition(int offsetWidth, int offsetHeight)` Provides the opportunity to set the position of the PopupPanel right before the PopupPanel is shown.

Method Detail

### setPosition

    void setPosition(int offsetWidth,
                     int offsetHeight)

  Provides the opportunity to set the position of the PopupPanel right before the PopupPanel is shown. The offsetWidth and offsetHeight values of the PopupPanel are made available to allow for positioning based on its size.

  Parameters:
    `offsetWidth` - the offsetWidth of the PopupPanel
    `offsetHeight` - the offsetHeight of the PopupPanel
  See Also:
    `PopupPanel.setPopupPositionAndShow(PositionCallback)`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD